[data-component-id="kackaamin:image_gallery"] {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 32px;
  padding: 24px 0;

  & .image-gallery__gallery-track {
    display: flex;
    gap: 16px;
    overflow-x: auto;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
    scrollbar-width: none;

    &::-webkit-scrollbar {
      display: none;
    }
  }

  & .image-gallery__gallery-item {
    flex: 0 0 auto;
    width: min(80%, 400px);
    scroll-snap-align: start;
    display: flex;
    flex-direction: column;
    background-color: color-mix(in srgb, var(--color-mist) 30%, transparent);

    &:nth-child(odd), &:nth-child(odd) img {
      border-radius: 0 25% 0 25%;
    }

    &:nth-child(even), &:nth-child(even) img {
      border-radius: 25% 0 25% 0;
    }

    & p {
      text-align: center;
      padding: 16px;
      font-size: 14px;
      font-family: var(--font-laila), serif;
    }

    & img {
      width: 100%;
      height: 100%;
      aspect-ratio: 1 / 1;
      object-fit: cover;
    }
  }

  & .image-gallery__gallery-controls {
    display: flex;
    margin-left: auto;
    gap: 20px;
  }
  @media (min-width: 1360px) {
      & .image-gallery__gallery-controls.image-gallery__no-extra {
        display: none;
      }
  }
}
